Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.util
Class LinearAnnealing

    java.lang.Object
      org.joone.util.MonitorPlugin
          org.joone.util.LinearAnnealing

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, NeuralNetListener

    public class LinearAnnealing

extends MonitorPlugin

This plugin changes linearly the values of the learning rate and of the momentum parameters. The values go from an initial value to a final value linearly and the step is determined by the formula: step = (FinalValue - InitValue) / numEphocs Creation date: (26/10/2000 23.47.58)

See Also:
  Serialized Form

Constructor Summary
`LinearAnnealing()`

Method Summary
`double` | `getLearningRateFinal()` Insert the method's description here.
`double` | `getLearningRateInitial()` Insert the method's description here.
`double` | `getMomentumFinal()` Insert the method's description here.
`double` | `getMomentumInitial()` Insert the method's description here.
`protected void` | `manageCycle(Monitor mon)`
`protected void` | `manageError(Monitor mon)`
`protected void` | `manageStart(Monitor mon)`
`protected void` | `manageStop(Monitor mon)`
`protected void` | `manageStopError(Monitor mon, java.lang.String msgErr)`
`void` | `setLearningRateFinal(double newLearningRateFinal)` Insert the method's description here.
`void` | `setLearningRateInitial(double newLearningRateInitial)` Insert the method's description here.
`void` | `setMomentumFinal(double newMomentumFinal)` Insert the method's description here.
`void` | `setMomentumInitial(double newMomentumInitial)` Insert the method's description here.

Methods inherited from class org.joone.util.MonitorPlugin
`cicleTerminated, errorChanged, getName, getNeuralNet, getRate, netStarted, netStopped, netStoppedError, setName, setNeuralNet, setRate, toBeManaged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinearAnnealing

    public LinearAnnealing()

Method Detail

### getLearningRateFinal

    public double getLearningRateFinal()

  Insert the method's description here. Creation date: (26/10/2000 23.49.52)

  Returns:
    double

### getLearningRateInitial

    public double getLearningRateInitial()

  Insert the method's description here. Creation date: (26/10/2000 23.49.26)

  Returns:
    double

### getMomentumFinal

    public double getMomentumFinal()

  Insert the method's description here. Creation date: (26/10/2000 23.50.29)

  Returns:
    double

### getMomentumInitial

    public double getMomentumInitial()

  Insert the method's description here. Creation date: (26/10/2000 23.50.14)

  Returns:
    double

### setLearningRateFinal

    public void setLearningRateFinal(double newLearningRateFinal)

  Insert the method's description here. Creation date: (26/10/2000 23.49.52)

  Parameters:
    `newLearningRateFinal` - double

### setLearningRateInitial

    public void setLearningRateInitial(double newLearningRateInitial)

  Insert the method's description here. Creation date: (26/10/2000 23.49.26)

  Parameters:
    `newLearningRateInitial` - double

### setMomentumFinal

    public void setMomentumFinal(double newMomentumFinal)

  Insert the method's description here. Creation date: (26/10/2000 23.50.29)

  Parameters:
    `newMomentumFinal` - double

### setMomentumInitial

    public void setMomentumInitial(double newMomentumInitial)

  Insert the method's description here. Creation date: (26/10/2000 23.50.14)

  Parameters:
    `newMomentumInitial` - double

### manageCycle

    protected void manageCycle(Monitor mon)

  Specified by:
    `manageCycle` in class `MonitorPlugin`

### manageStop

    protected void manageStop(Monitor mon)

  Specified by:
    `manageStop` in class `MonitorPlugin`

### manageStart

    protected void manageStart(Monitor mon)

  Specified by:
    `manageStart` in class `MonitorPlugin`

### manageError

    protected void manageError(Monitor mon)

  Specified by:
    `manageError` in class `MonitorPlugin`

### manageStopError

    protected void manageStopError(Monitor mon,
                                   java.lang.String msgErr)

  Specified by:
    `manageStopError` in class `MonitorPlugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net